/**
 *@des 购物车模块接口
 *@des 地址管理接口
 *@author zhengjinyi
 *@date 2020/03/19 14:56:57
 *@param registerByPass
 */
import request from '@/common/config/caimeiApi.js'
import $reg from '@/common/config/common.js'

/**
 *加入购物车
 */
export function shoppingAddCart(params) {
	return new Promise(function(resolve,reject) {
		request.post('/shoppingCart/addCart',params, true,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *获取购物车列表
 */
export function queryShoppingCartList(params) {
	return new Promise(function(resolve,reject) {
		request.get('/shoppingCart/shoppingInfo',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *更新购物车商品增减
 */
export function shoppingCartUpdate(params) {
	return new Promise(function(resolve,reject) {
		request.post('/shoppingCart/update',params, true, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *购物车删除商品
 */
export function shoppingCartDelete(params) {
	return new Promise(function(resolve,reject) {
		request.post('/shoppingCart/delete',params, true, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *查询地址列表
 */
export function queryAddressList(params) {
	return new Promise(function(resolve,reject) {
		request.lodingGet('/personalCenter/findAddress',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *修改保存
 */
export function addNewAddress(params) {
	return new Promise(function(resolve,reject) {
		request.post('/personalCenter/saveAddress',params,true, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *删除地址
 */
export function deleteNewAddress(params) {
	return new Promise(function(resolve,reject) {
		request.lodingGet('/personalCenter/deleteAddress',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}

