import Vue from 'vue'
import Vuex from 'vuex'
import api from '../common/config/caimeiApi.js'
import authorize from '../common/config/authorize.js'

Vue.use(Vuex)
const store = new Vuex.Store({
	state: {
		hasLogin: false,
		userInfo: {},
		wechatUserInfo:{},
		cartNumber:0,
		isIphoneX:false
	},
	mutations: {
		login(state, provider) {
			state.hasLogin = true;
			state.userInfo = provider;
			// console.log(state.hasLogin)
			uni.setStorage({//缓存用户登陆状态
			    key: 'userInfo',  
			    data: provider  
			}) 
			// console.log(state.userInfo);
		},
		logout(state) {
			state.hasLogin = false;
			state.userInfo = {};
			uni.removeStorage({  
		        key: 'userInfo'  
		    })
			uni.removeStorage({
			    key: 'token'  
			})
		},
		wxLogin(state,provider) {
			state.wechatUserInfo = provider;
			uni.setStorage({//缓存用户登陆状态
			    key: 'wechatUserInfo',  
			    data: provider  
			}) 
		},
		updateStatus(state,provider){
			let TIME = api.formatDate()
			console.log(`${TIME}`,provider)
			state.userInfo = provider;
			uni.setStorage({//缓存用户登陆状态
			    key: 'userInfo',  
			    data: provider  
			}) 
		},
		updateAllNum(state,num){
			if(num>=100){
				uni.setTabBarBadge({
				  index: 2,
				  text:'99+'
				})
			}else if(num>0){
				uni.setTabBarBadge({
				  index: 2,
				  text:String(num)
				})
			}else{
				uni.removeTabBarBadge({
					index: 2,
				})
			}
		},
		setChangeVar(state,variable){
			//单一的改变某一个变量
			state.isIphoneX = variable;
		}
	},
	actions:{
		setVariableFun:function(context,vData){
			context.commit('setChangeVar',vData)
		},
	}
})

export default store
